Bug 2562 - Unable to join domain from XP Pro
Unable to join domain from XP Pro
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Domain Control
3.0.13
x86 Linux
: P3 critical
: none
Assigned To: Gerald (Jerry) Carter
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-31 12:07 UTC by Misty Stanley-Jones
Modified: 2005-08-24 10:21 UTC (History)
0 users

See Also:


Attachments
Debug output (692.89 KB, text/plain)
2005-03-31 12:10 UTC, Misty Stanley-Jones
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Misty Stanley-Jones 2005-03-31 12:07:34 UTC
Trying to join 3.0.13 PDC from WinXP Pro system.  On the client I get the 
following: 
 
(Caption) Computer Name Changes 
(test) The following error occurred attempting to join domain 'CORP': 
Access is Denied. 
 
On the server end, I get the following error messages with log level 10: 
 
(attached)
Comment 1 Misty Stanley-Jones 2005-03-31 12:10:35 UTC
Created attachment 1128 [details]
Debug output
Comment 2 Misty Stanley-Jones 2005-03-31 12:14:24 UTC
Also of note -- the Samba information is not being put into the entry in LDAP.  
Here is the entry that gets created when this failure happens: 
 
dn:uid=xpnorton$,ou=Computers,dc=borkholder,dc=com 
objectClass: top 
objectClass: inetOrgPerson 
objectClass: posixAccount 
cn: xpnorton$ 
sn: xpnorton$ 
uid: xpnorton$ 
uidNumber: 1163 
gidNumber: 515 
homeDirectory: /dev/null 
loginShell: /bin/false 
description: Computer 
gecos: Computer 
displayName: Computer 
 
Here is a valid entry: 
 
dn:uid=xppaul$,ou=computers,dc=borkholder,dc=com 
cn: xppaul$ 
description: Computer 
displayName: XPPAUL$ 
gecos: Computer 
gidNumber: 515 
homeDirectory: /dev/null 
loginShell: /bin/false 
objectClass: top 
objectClass: inetOrgPerson 
objectClass: posixAccount 
objectClass: sambaSamAccount 
sambaAcctFlags: [W          ] 
sambaNTPassword: 51BDA7F4DA8399654E8D02892EDEC8BA 
sambaPrimaryGroupSID: S-1-5-21-725326080-1709766072-2910717368-2031 
sambaPwdCanChange: 0 
sambaPwdLastSet: 1110927840 
sambaPwdMustChange: 2147483647 
sambaSID: S-1-5-21-725326080-1709766072-2910717368-3200 
sn: xppaul$ 
uid: xppaul$ 
uidNumber: 1100 
Comment 3 Gerald (Jerry) Carter 2005-03-31 12:19:46 UTC
Some code is not telling the truth apparently.....

  ldapsam_add_sam_account: User exists without samba attributes: adding them
  init_ldap_from_sam: Setting entry for user: xpnorton$
  smbldap_get_single_attribute: [sambaSID] = [<does not exist>]
  smbldap_get_single_attribute: [sambaPrimaryGroupSID] = [<does not exist>]
  smbldap_get_single_attribute: [sambaAcctFlags] = [<does not exist>]
  smbldap_modify: dn => [uid=xpnorton$,ou=Computers,dc=borkholder,dc=com]
  ldapsam_add_sam_account: added: uid == xpnorton$ in the LDAP database
Comment 4 Misty Stanley-Jones 2005-03-31 12:37:59 UTC
Mar 31 14:35:27 oink slapd[18580]: conn=696 op=0 BIND 
dn="cn=Manager,dc=borkholder,dc=com" method=128 
Mar 31 14:35:27 oink slapd[18580]: conn=696 op=0 BIND 
dn="cn=Manager,dc=borkholder,dc=com" mech=SIMPLE ssf=0 
Mar 31 14:35:27 oink slapd[18580]: conn=696 op=0 RESULT tag=97 err=0 text= 
Mar 31 14:35:27 oink slapd[18580]: conn=696 op=1 SRCH base="" scope=0 deref=0 
filter="(objectClass=*)" 
Mar 31 14:35:27 oink slapd[18580]: conn=696 op=1 SRCH attr=supportedControl 
Mar 31 14:35:27 oink slapd[18580]: conn=696 op=1 SEARCH RESULT tag=101 err=0 
nentries=1 text= 
Mar 31 14:35:27 oink slapd[18580]: conn=696 op=2 SRCH 
base="dc=borkholder,dc=com" scope=2 deref=0 filter="(&(uid=root)
(objectClass=sambaSamAccount))" 
Mar 31 14:35:27 oink slapd[18580]: conn=696 op=2 SRCH attr=uid uidNumber 
gidNumber homeDirectory sambaPwdLastSet sambaPwdCanChange sambaPwdMustChange 
sambaLogonTime sambaLogoffTime sambaKickoffTime cn displayName sambaHomeDrive 
sambaHomePath sambaLogonScript sambaProfilePath description 
sambaUserWorkstations sambaSID sambaPrimaryGroupSID sambaLMPassword 
sambaNTPassword sambaDomainName objectClass sambaAcctFlags sambaMungedDial 
sambaBadPasswordCount sambaBadPasswordTime sambaPasswordHistory modifyTimestamp 
sambaLogonHours modifyTimestamp 
Mar 31 14:35:27 oink slapd[18580]: conn=696 op=2 SEARCH RESULT tag=101 err=0 
nentries=1 text= 
Mar 31 14:35:27 oink slapd[18580]: conn=697 fd=62 ACCEPT from 
IP=127.0.0.1:46962 (IP=0.0.0.0:389) 
Mar 31 14:35:28 oink slapd[18580]: conn=697 op=1 BIND 
dn="cn=Manager,dc=borkholder,dc=com" method=128 
Mar 31 14:35:28 oink slapd[18580]: conn=697 op=1 BIND 
dn="cn=Manager,dc=borkholder,dc=com" mech=SIMPLE ssf=0 
Mar 31 14:35:28 oink slapd[18580]: conn=697 op=1 RESULT tag=97 err=0 text= 
Mar 31 14:35:28 oink slapd[18580]: conn=697 op=2 SRCH 
base="dc=borkholder,dc=com" scope=2 deref=0 filter="(&(objectClass=posixGroup)
(memberUid=root))" 
Mar 31 14:35:28 oink slapd[18580]: conn=697 op=2 SRCH attr=gidNumber 
Mar 31 14:35:28 oink slapd[18580]: conn=697 op=2 SEARCH RESULT tag=101 err=0 
nentries=4 text= 
Mar 31 14:35:28 oink slapd[18580]: conn=696 op=3 SRCH 
base="ou=Groups,dc=borkholder,dc=com" scope=2 deref=0 
filter="(&(objectClass=sambaGroupMapping)(gidNumber=0))" 
Mar 31 14:35:28 oink slapd[18580]: conn=696 op=3 SRCH attr=gidNumber sambaSID 
sambaGroupType sambaSIDList description displayName cn objectClass 
Mar 31 14:35:28 oink slapd[18580]: conn=696 op=3 SEARCH RESULT tag=101 err=0 
nentries=0 text= 
Mar 31 14:35:28 oink slapd[18580]: conn=696 op=4 SRCH 
base="ou=Groups,dc=borkholder,dc=com" scope=2 deref=0 
filter="(&(objectClass=sambaGroupMapping)(gidNumber=3))" 
Mar 31 14:35:28 oink slapd[18580]: conn=696 op=4 SRCH attr=gidNumber sambaSID 
sambaGroupType sambaSIDList description displayName cn objectClass 
Mar 31 14:35:28 oink slapd[18580]: conn=696 op=4 SEARCH RESULT tag=101 err=0 
nentries=0 text= 
Mar 31 14:35:28 oink slapd[18580]: conn=696 op=5 SRCH 
base="ou=Groups,dc=borkholder,dc=com" scope=2 deref=0 
filter="(&(objectClass=sambaGroupMapping)(gidNumber=512))" 
Mar 31 14:35:28 oink slapd[18580]: conn=696 op=5 SRCH attr=gidNumber sambaSID 
sambaGroupType sambaSIDList description displayName cn objectClass 
Mar 31 14:35:28 oink slapd[18580]: conn=696 op=5 SEARCH RESULT tag=101 err=0 
nentries=1 text= 
Mar 31 14:35:28 oink slapd[18580]: conn=696 op=6 SRCH 
base="ou=Groups,dc=borkholder,dc=com" scope=2 deref=0 
filter="(&(objectClass=sambaGroupMapping)(gidNumber=513))" 
Mar 31 14:35:28 oink slapd[18580]: conn=696 op=6 SRCH attr=gidNumber sambaSID 
sambaGroupType sambaSIDList description displayName cn objectClass 
Mar 31 14:35:28 oink slapd[18580]: conn=696 op=6 SEARCH RESULT tag=101 err=0 
nentries=1 text= 
Mar 31 14:35:28 oink slapd[18580]: conn=696 op=7 SRCH 
base="ou=Groups,dc=borkholder,dc=com" scope=2 deref=0 
filter="(&(objectClass=sambaGroupMapping)(gidNumber=1020))" 
Mar 31 14:35:28 oink slapd[18580]: conn=696 op=7 SRCH attr=gidNumber sambaSID 
sambaGroupType sambaSIDList description displayName cn objectClass 
Mar 31 14:35:28 oink slapd[18580]: conn=696 op=7 SEARCH RESULT tag=101 err=0 
nentries=1 text= 
Mar 31 14:35:28 oink slapd[18580]: conn=696 op=8 SRCH 
base="ou=Groups,dc=borkholder,dc=com" scope=2 deref=0 
filter="(&(objectClass=sambaGroupMapping)(gidNumber=1021))" 
Mar 31 14:35:28 oink slapd[18580]: conn=696 op=8 SRCH attr=gidNumber sambaSID 
sambaGroupType sambaSIDList description displayName cn objectClass 
Mar 31 14:35:28 oink slapd[18580]: conn=696 op=8 SEARCH RESULT tag=101 err=0 
nentries=1 text= 
Mar 31 14:35:28 oink slapd[18580]: conn=696 fd=42 closed 
Mar 31 14:35:28 oink slapd[18580]: conn=697 fd=62 closed 
Mar 31 14:35:28 oink slapd[18580]: conn=698 fd=42 ACCEPT from 
IP=127.0.0.1:46963 (IP=0.0.0.0:389) 
Mar 31 14:35:28 oink slapd[18580]: conn=698 op=0 BIND 
dn="cn=Manager,dc=borkholder,dc=com" method=128 
Mar 31 14:35:28 oink slapd[18580]: conn=698 op=0 BIND 
dn="cn=Manager,dc=borkholder,dc=com" mech=SIMPLE ssf=0 
Mar 31 14:35:28 oink slapd[18580]: conn=698 op=0 RESULT tag=97 err=0 text= 
Mar 31 14:35:28 oink slapd[18580]: conn=698 op=1 SRCH base="" scope=0 deref=0 
filter="(objectClass=*)" 
Mar 31 14:35:28 oink slapd[18580]: conn=698 op=1 SRCH attr=supportedControl 
Mar 31 14:35:28 oink slapd[18580]: conn=698 op=1 SEARCH RESULT tag=101 err=0 
nentries=1 text= 
Mar 31 14:35:28 oink slapd[18580]: conn=698 op=2 SRCH 
base="dc=borkholder,dc=com" scope=2 deref=0 filter="(&(uid=root)
(objectClass=sambaSamAccount))" 
Mar 31 14:35:28 oink slapd[18580]: conn=698 op=2 SRCH attr=uid uidNumber 
gidNumber homeDirectory sambaPwdLastSet sambaPwdCanChange sambaPwdMustChange 
sambaLogonTime sambaLogoffTime sambaKickoffTime cn displayName sambaHomeDrive 
sambaHomePath sambaLogonScript sambaProfilePath description 
sambaUserWorkstations sambaSID sambaPrimaryGroupSID sambaLMPassword 
sambaNTPassword sambaDomainName objectClass sambaAcctFlags sambaMungedDial 
sambaBadPasswordCount sambaBadPasswordTime sambaPasswordHistory modifyTimestamp 
sambaLogonHours modifyTimestamp 
Mar 31 14:35:28 oink slapd[18580]: conn=698 op=2 SEARCH RESULT tag=101 err=0 
nentries=1 text= 
Mar 31 14:35:28 oink slapd[18580]: conn=699 fd=62 ACCEPT from 
IP=127.0.0.1:46964 (IP=0.0.0.0:389) 
Mar 31 14:35:29 oink slapd[18580]: conn=699 op=1 BIND 
dn="cn=Manager,dc=borkholder,dc=com" method=128 
Mar 31 14:35:29 oink slapd[18580]: conn=699 op=1 BIND 
dn="cn=Manager,dc=borkholder,dc=com" mech=SIMPLE ssf=0 
Mar 31 14:35:29 oink slapd[18580]: conn=699 op=1 RESULT tag=97 err=0 text= 
Mar 31 14:35:29 oink slapd[18580]: conn=699 op=2 SRCH 
base="dc=borkholder,dc=com" scope=2 deref=0 filter="(&(objectClass=posixGroup)
(memberUid=root))" 
Mar 31 14:35:29 oink slapd[18580]: conn=699 op=2 SRCH attr=gidNumber 
Mar 31 14:35:29 oink slapd[18580]: conn=699 op=2 SEARCH RESULT tag=101 err=0 
nentries=4 text= 
Mar 31 14:35:29 oink slapd[18580]: conn=698 op=3 SRCH 
base="ou=Groups,dc=borkholder,dc=com" scope=2 deref=0 
filter="(&(objectClass=sambaGroupMapping)(gidNumber=0))" 
Mar 31 14:35:29 oink slapd[18580]: conn=698 op=3 SRCH attr=gidNumber sambaSID 
sambaGroupType sambaSIDList description displayName cn objectClass 
Mar 31 14:35:29 oink slapd[18580]: conn=698 op=3 SEARCH RESULT tag=101 err=0 
nentries=0 text= 
Mar 31 14:35:29 oink slapd[18580]: conn=698 op=4 SRCH 
base="ou=Groups,dc=borkholder,dc=com" scope=2 deref=0 
filter="(&(objectClass=sambaGroupMapping)(gidNumber=3))" 
Mar 31 14:35:29 oink slapd[18580]: conn=698 op=4 SRCH attr=gidNumber sambaSID 
sambaGroupType sambaSIDList description displayName cn objectClass 
Mar 31 14:35:29 oink slapd[18580]: conn=698 op=4 SEARCH RESULT tag=101 err=0 
nentries=0 text= 
Mar 31 14:35:29 oink slapd[18580]: conn=698 op=5 SRCH 
base="ou=Groups,dc=borkholder,dc=com" scope=2 deref=0 
filter="(&(objectClass=sambaGroupMapping)(gidNumber=512))" 
Mar 31 14:35:29 oink slapd[18580]: conn=698 op=5 SRCH attr=gidNumber sambaSID 
sambaGroupType sambaSIDList description displayName cn objectClass 
Mar 31 14:35:29 oink slapd[18580]: conn=698 op=5 SEARCH RESULT tag=101 err=0 
nentries=1 text= 
Mar 31 14:35:29 oink slapd[18580]: conn=698 op=6 SRCH 
base="ou=Groups,dc=borkholder,dc=com" scope=2 deref=0 
filter="(&(objectClass=sambaGroupMapping)(gidNumber=513))" 
Mar 31 14:35:29 oink slapd[18580]: conn=698 op=6 SRCH attr=gidNumber sambaSID 
sambaGroupType sambaSIDList description displayName cn objectClass 
Mar 31 14:35:29 oink slapd[18580]: conn=698 op=6 SEARCH RESULT tag=101 err=0 
nentries=1 text= 
Mar 31 14:35:29 oink slapd[18580]: conn=698 op=7 SRCH 
base="ou=Groups,dc=borkholder,dc=com" scope=2 deref=0 
filter="(&(objectClass=sambaGroupMapping)(gidNumber=1020))" 
Mar 31 14:35:29 oink slapd[18580]: conn=698 op=7 SRCH attr=gidNumber sambaSID 
sambaGroupType sambaSIDList description displayName cn objectClass 
Mar 31 14:35:29 oink slapd[18580]: conn=698 op=7 SEARCH RESULT tag=101 err=0 
nentries=1 text= 
Mar 31 14:35:29 oink slapd[18580]: conn=698 op=8 SRCH 
base="ou=Groups,dc=borkholder,dc=com" scope=2 deref=0 
filter="(&(objectClass=sambaGroupMapping)(gidNumber=1021))" 
Mar 31 14:35:29 oink slapd[18580]: conn=698 op=8 SRCH attr=gidNumber sambaSID 
sambaGroupType sambaSIDList description displayName cn objectClass 
Mar 31 14:35:29 oink slapd[18580]: conn=698 op=8 SEARCH RESULT tag=101 err=0 
nentries=1 text= 
Mar 31 14:35:29 oink slapd[18580]: conn=698 op=9 SRCH 
base="dc=borkholder,dc=com" scope=2 deref=0 filter="(&(uid=xpnorton$)
(objectClass=sambaSamAccount))" 
Mar 31 14:35:29 oink slapd[18580]: conn=698 op=9 SRCH attr=uid uidNumber 
gidNumber homeDirectory sambaPwdLastSet sambaPwdCanChange sambaPwdMustChange 
sambaLogonTime sambaLogoffTime sambaKickoffTime cn displayName sambaHomeDrive 
sambaHomePath sambaLogonScript sambaProfilePath description 
sambaUserWorkstations sambaSID sambaPrimaryGroupSID sambaLMPassword 
sambaNTPassword sambaDomainName objectClass sambaAcctFlags sambaMungedDial 
sambaBadPasswordCount sambaBadPasswordTime sambaPasswordHistory modifyTimestamp 
sambaLogonHours modifyTimestamp 
Mar 31 14:35:29 oink slapd[18580]: conn=698 op=9 SEARCH RESULT tag=101 err=0 
nentries=0 text= 
Mar 31 14:35:29 oink slapd[18580]: conn=699 op=3 SRCH 
base="dc=borkholder,dc=com" scope=2 deref=0 
filter="(&(objectClass=posixAccount)(uid=xpnorton$))" 
Mar 31 14:35:29 oink slapd[18580]: conn=699 op=3 SRCH attr=uid userPassword 
uidNumber gidNumber cn homeDirectory loginShell gecos description objectClass 
Mar 31 14:35:29 oink slapd[18580]: conn=699 op=3 SEARCH RESULT tag=101 err=0 
nentries=1 text= 
Mar 31 14:35:29 oink slapd[18580]: conn=699 op=4 SRCH 
base="dc=borkholder,dc=com" scope=2 deref=0 
filter="(&(objectClass=posixAccount)(uid=xpnorton$))" 
Mar 31 14:35:29 oink slapd[18580]: conn=699 op=4 SRCH attr=uid userPassword 
uidNumber gidNumber cn homeDirectory loginShell gecos description objectClass 
Mar 31 14:35:29 oink slapd[18580]: conn=699 op=4 SEARCH RESULT tag=101 err=0 
nentries=1 text= 
Mar 31 14:35:29 oink slapd[18580]: conn=698 op=10 SRCH 
base="ou=Groups,dc=borkholder,dc=com" scope=2 deref=0 
filter="(&(objectClass=sambaGroupMapping)(gidNumber=515))" 
Mar 31 14:35:29 oink slapd[18580]: conn=698 op=10 SRCH attr=gidNumber sambaSID 
sambaGroupType sambaSIDList description displayName cn objectClass 
Mar 31 14:35:29 oink slapd[18580]: conn=698 op=10 SEARCH RESULT tag=101 err=0 
nentries=0 text= 
Mar 31 14:35:29 oink slapd[18580]: conn=698 op=11 SRCH 
base="dc=borkholder,dc=com" scope=2 deref=0 filter="(&(uid=xpnorton$)
(objectClass=sambaSamAccount))" 
Mar 31 14:35:29 oink slapd[18580]: conn=698 op=11 SRCH attr=uid uidNumber 
gidNumber homeDirectory sambaPwdLastSet sambaPwdCanChange sambaPwdMustChange 
sambaLogonTime sambaLogoffTime sambaKickoffTime cn displayName sambaHomeDrive 
sambaHomePath sambaLogonScript sambaProfilePath description 
sambaUserWorkstations sambaSID sambaPrimaryGroupSID sambaLMPassword 
sambaNTPassword sambaDomainName objectClass sambaAcctFlags sambaMungedDial 
sambaBadPasswordCount sambaBadPasswordTime sambaPasswordHistory modifyTimestamp 
sambaLogonHours 
Mar 31 14:35:29 oink slapd[18580]: conn=698 op=11 SEARCH RESULT tag=101 err=0 
nentries=0 text= 
Mar 31 14:35:29 oink slapd[18580]: conn=698 op=12 SRCH 
base="dc=borkholder,dc=com" scope=2 deref=0 
filter="(&(sambaSID=s-1-5-21-725326080-1709766072-2910717368-3326)
(objectClass=sambaSamAccount))" 
Mar 31 14:35:29 oink slapd[18580]: conn=698 op=12 SRCH attr=uid uidNumber 
gidNumber homeDirectory sambaPwdLastSet sambaPwdCanChange sambaPwdMustChange 
sambaLogonTime sambaLogoffTime sambaKickoffTime cn displayName sambaHomeDrive 
sambaHomePath sambaLogonScript sambaProfilePath description 
sambaUserWorkstations sambaSID sambaPrimaryGroupSID sambaLMPassword 
sambaNTPassword sambaDomainName objectClass sambaAcctFlags sambaMungedDial 
sambaBadPasswordCount sambaBadPasswordTime sambaPasswordHistory modifyTimestamp 
sambaLogonHours modifyTimestamp 
Mar 31 14:35:29 oink slapd[18580]: conn=698 op=12 SEARCH RESULT tag=101 err=0 
nentries=0 text= 
Mar 31 14:35:29 oink slapd[18580]: conn=698 op=13 SRCH 
base="dc=borkholder,dc=com" scope=2 deref=0 filter="(uid=xpnorton$)" 
Mar 31 14:35:29 oink slapd[18580]: conn=698 op=13 SRCH attr=uid uidNumber 
gidNumber homeDirectory sambaPwdLastSet sambaPwdCanChange sambaPwdMustChange 
sambaLogonTime sambaLogoffTime sambaKickoffTime cn displayName sambaHomeDrive 
sambaHomePath sambaLogonScript sambaProfilePath description 
sambaUserWorkstations sambaSID sambaPrimaryGroupSID sambaLMPassword 
sambaNTPassword sambaDomainName objectClass sambaAcctFlags sambaMungedDial 
sambaBadPasswordCount sambaBadPasswordTime sambaPasswordHistory modifyTimestamp 
sambaLogonHours 
Mar 31 14:35:29 oink slapd[18580]: conn=698 op=13 SEARCH RESULT tag=101 err=0 
nentries=1 text= 
Mar 31 14:35:29 oink slapd[18580]: conn=698 op=14 MOD 
dn="uid=xpnorton$,ou=Computers,dc=borkholder,dc=com" 
Mar 31 14:35:29 oink slapd[18580]: conn=698 op=14 MOD attr=sambaSID 
sambaPrimaryGroupSID sambaAcctFlags objectclass 
Mar 31 14:35:29 oink slapd[18580]: conn=698 op=14 RESULT tag=103 err=0 text= 
Mar 31 14:35:29 oink slapd[18580]: conn=698 op=15 SRCH 
base="dc=borkholder,dc=com" scope=2 deref=0 
filter="(&(sambaSID=s-1-5-21-725326080-1709766072-2910717368-3326)
(objectClass=sambaSamAccount))" 
Mar 31 14:35:29 oink slapd[18580]: conn=698 op=15 SRCH attr=uid uidNumber 
gidNumber homeDirectory sambaPwdLastSet sambaPwdCanChange sambaPwdMustChange 
sambaLogonTime sambaLogoffTime sambaKickoffTime cn displayName sambaHomeDrive 
sambaHomePath sambaLogonScript sambaProfilePath description 
sambaUserWorkstations sambaSID sambaPrimaryGroupSID sambaLMPassword 
sambaNTPassword sambaDomainName objectClass sambaAcctFlags sambaMungedDial 
sambaBadPasswordCount sambaBadPasswordTime sambaPasswordHistory modifyTimestamp 
sambaLogonHours modifyTimestamp 
Mar 31 14:35:29 oink slapd[18580]: conn=698 op=15 SEARCH RESULT tag=101 err=0 
nentries=1 text= 
Mar 31 14:35:29 oink slapd[18580]: conn=698 op=16 SRCH 
base="dc=borkholder,dc=com" scope=2 deref=0 
filter="(&(sambaSID=s-1-5-21-725326080-1709766072-2910717368-3326)
(objectClass=sambaSamAccount))" 
Mar 31 14:35:29 oink slapd[18580]: conn=698 op=16 SRCH attr=uid uidNumber 
gidNumber homeDirectory sambaPwdLastSet sambaPwdCanChange sambaPwdMustChange 
sambaLogonTime sambaLogoffTime sambaKickoffTime cn displayName sambaHomeDrive 
sambaHomePath sambaLogonScript sambaProfilePath description 
sambaUserWorkstations sambaSID sambaPrimaryGroupSID sambaLMPassword 
sambaNTPassword sambaDomainName objectClass sambaAcctFlags sambaMungedDial 
sambaBadPasswordCount sambaBadPasswordTime sambaPasswordHistory modifyTimestamp 
sambaLogonHours modifyTimestamp 
Mar 31 14:35:29 oink slapd[18580]: conn=698 op=16 SEARCH RESULT tag=101 err=0 
nentries=1 text= 
Mar 31 14:35:29 oink slapd[18580]: conn=698 op=17 SRCH 
base="dc=borkholder,dc=com" scope=2 deref=0 
filter="(&(sambaSID=s-1-5-21-725326080-1709766072-2910717368-3326)
(objectClass=sambaSamAccount))" 
Mar 31 14:35:29 oink slapd[18580]: conn=698 op=17 SRCH attr=uid uidNumber 
gidNumber homeDirectory sambaPwdLastSet sambaPwdCanChange sambaPwdMustChange 
sambaLogonTime sambaLogoffTime sambaKickoffTime cn displayName sambaHomeDrive 
sambaHomePath sambaLogonScript sambaProfilePath description 
sambaUserWorkstations sambaSID sambaPrimaryGroupSID sambaLMPassword 
sambaNTPassword sambaDomainName objectClass sambaAcctFlags sambaMungedDial 
sambaBadPasswordCount sambaBadPasswordTime sambaPasswordHistory modifyTimestamp 
sambaLogonHours modifyTimestamp 
Mar 31 14:35:29 oink slapd[18580]: conn=698 op=17 SEARCH RESULT tag=101 err=0 
nentries=1 text= 
Mar 31 14:35:29 oink slapd[18580]: conn=698 op=18 SRCH 
base="dc=borkholder,dc=com" scope=2 deref=0 
filter="(&(sambaSID=s-1-5-21-725326080-1709766072-2910717368-3326)
(objectClass=sambaSamAccount))" 
Mar 31 14:35:29 oink slapd[18580]: conn=698 op=18 SRCH attr=uid uidNumber 
gidNumber homeDirectory sambaPwdLastSet sambaPwdCanChange sambaPwdMustChange 
sambaLogonTime sambaLogoffTime sambaKickoffTime cn displayName sambaHomeDrive 
sambaHomePath sambaLogonScript sambaProfilePath description 
sambaUserWorkstations sambaSID sambaPrimaryGroupSID sambaLMPassword 
sambaNTPassword sambaDomainName objectClass sambaAcctFlags sambaMungedDial 
sambaBadPasswordCount sambaBadPasswordTime sambaPasswordHistory modifyTimestamp 
sambaLogonHours modifyTimestamp 
Mar 31 14:35:29 oink slapd[18580]: conn=698 op=18 SEARCH RESULT tag=101 err=0 
nentries=1 text= 
Mar 31 14:35:29 oink slapd[18580]: conn=698 op=19 SRCH 
base="dc=borkholder,dc=com" scope=2 deref=0 filter="(&(uid=xpnorton$)
(objectClass=sambaSamAccount))" 
Mar 31 14:35:29 oink slapd[18580]: conn=698 op=19 SRCH attr=sambaPwdLastSet 
sambaPwdCanChange sambaPwdMustChange sambaLogonTime sambaLogoffTime 
sambaKickoffTime sambaHomeDrive sambaHomePath sambaLogonScript sambaProfilePath 
sambaUserWorkstations sambaSID sambaPrimaryGroupSID sambaLMPassword 
sambaNTPassword sambaDomainName sambaAcctFlags sambaMungedDial 
sambaBadPasswordCount sambaBadPasswordTime sambaPasswordHistory sambaLogonHours 
Mar 31 14:35:29 oink slapd[18580]: conn=698 op=19 SEARCH RESULT tag=101 err=0 
nentries=1 text= 
Mar 31 14:35:29 oink slapd[18580]: conn=698 op=20 MOD 
dn="uid=xpnorton$,ou=Computers,dc=borkholder,dc=com" 
Mar 31 14:35:29 oink slapd[18580]: conn=698 op=20 MOD attr=sambaSID 
sambaPrimaryGroupSID sambaAcctFlags objectClass 
Mar 31 14:35:29 oink slapd[18580]: conn=698 op=20 RESULT tag=103 err=0 text= 
Mar 31 14:35:29 oink slapd[18580]: conn=698 fd=42 closed 
Mar 31 14:35:29 oink slapd[18580]: conn=699 fd=62 closed 
 
Comment 5 Gerald (Jerry) Carter 2005-04-20 06:27:12 UTC
Misty, did you ever get this resolved ?
Comment 6 Misty Stanley-Jones 2005-04-20 08:10:29 UTC
Yes it was the GCC bug that you said it was. 
Comment 7 Gerald (Jerry) Carter 2005-08-24 10:21:27 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.